import { $get, $post } from "@/plugins/axios";

// wait-manage
export const waitTaskListPage = datas => {
  return $get("/api/print/exam/examTask/listNotDonePage", datas);
};
export const waitTaskDetail = id => {
  return $get("/api/print/exam/examTask/detailNotDone", { id });
};
export const saveWaitTask = datas => {
  return $post("/api/print/exam/examTask/draft", datas);
};
export const submitWaitTask = datas => {
  return $post("/api/print/exam/examTask/submit", datas);
};

// done-task
export const doneTaskListPage = datas => {
  return $get("/api/print/exam/examTask/listDonePage", datas);
};
export const doneTaskDetail = taskId => {
  return $get("/api/print/exam/examTask/detailDone", { taskId });
};
// 撤回
export const revokeDoneTask = ({ taskId, examId }) => {
  return $get("/api/print/exam/examTask/revoke", { taskId, examId });
};

// exam-manage
export const examListPage = datas => {
  return $get("/api/print/exam/exam/listPage", datas);
};
export const examList = () => {
  return $get("/api/print/exam/exam/list", {});
};
export const createExam = datas => {
  return $post("/api/print/exam/exam/add", datas);
};
export const examRoomDetail = datas => {
  return $get("/api/print/exam/exam/listExamDetailPage", datas);
};
export const studentDetail = datas => {
  return $get("/api/print/exam/exam/listExamStudentPage", datas);
};
export const deleteExam = id => {
  return $post("/api/print/exam/exam/delete", { id });
};

// card-manage
export const allCardList = datas => {
  return $get("/api/print/exam/notDone/listCards", datas);
};

// print-manage
export const printTaskListPage = datas => {
  return $get("/api/print/exam/exam/listPrintPage", datas);
};

// card-audit
